This week we found out about a Wi-Fi security vulnerability that affects all modern protected Wi-Fi networks. Read this article for a great (and not-too-technical) overview of the vulnerability.

A few important points:

  • The vulnerability would allow an attacker to steal data flowing between your wireless device and the targeted Wi-Fi network
  • An attacker would have to be physically within range of the wireless signal between your device and a nearby wireless access point
  • Sensitive communication interactions, like those with your financial institution or browsing email, are likely already protected end-to-end with Secure Sockets Layer (SSL) encryption that is separate from any encryption added by WPA2 (i.e., any connection in your browser that starts with https://)
  • There is no evidence that the vulnerability has been exploited to date

For any firewalls and wireless access points provided by WorkSmart, we’ll administer patches as soon as they’re available.

If you’re not sure whether your systems are protected, please call us at 888-484-1010, option 1.